import java.util.ArrayList;
import java.util.Random;

public class GeometrijskaSlika
{
    protected Tacka teziste; 
    protected String opis;
    
    public GeometrijskaSlika(double xt, double yt, String opis) {
        teziste = new Tacka(xt, yt);
        this.opis = opis;
    }
    /*
    public void info() {
        System.out.println("Teziste:");
        teziste.info();
        System.out.println(opis);
    }*/
    public String toString(){
        return "\nTeziste:\n" + teziste + "\n" + opis;
    }
    
    public double povrsina() { return 0; }
    
    public static void test(int n) {
    
        ArrayList<GeometrijskaSlika> slike = new ArrayList<>();
        Random rg = new Random();
        for(int i = 0; i < n; i++) {
            if(rg.nextBoolean()) {
                // krug
                slike.add(new Krug(0,0, 10 * rg.nextDouble(), ""));
            } else {
                // pravougaonik
                double a = 10 * rg.nextDouble();
                double b = 10 * rg.nextDouble();
                slike.add(new Pravougaonik(a,b,0,0, ""));
            }
        }
        
        // ispis
//         int i = 1;
//         for(GeometrijskaSlika s : slike){
//             System.out.println("Slika " + i);
//             System.out.println(s);
//             System.out.println("-------");
//             i++;
//         }

        // slika koja ima najvecu povrsinu
        GeometrijskaSlika najveca = null;
        int krugovi = 0, pravougaonici = 0;
        double maxp = -1;
        for(GeometrijskaSlika s : slike) {
            if(s instanceof Krug){
                krugovi ++;
            } else {
                pravougaonici ++;
            }
            double p = s.povrsina();
            if(p > maxp) {
                maxp = p;
                najveca = s;
            } 
        }
        
        System.out.println("k= " + krugovi + " p= " + pravougaonici);
        System.out.println(najveca);
    }
    
    
    
    
    
    
    
    
    
    
    
    
}
